{% extends 'base.html.twig' %}

{% block body %}
    <main class='main-content bgc-grey-100 px-0'>
        <h1>Studenti</h1>

        <div class="table-responsive">
            <table class="table table-striped table-hover">
                <thead>
                <tr>
                    <th>Codice Fiscale</th>
                    <th>Cognome</th>
                    <th>Nome</th>
                    <th>Provider</th>
                    <th>Gruppi</th>
                    <th>Email</th>
                    <th>Username</th>
                    {#<th>Password</th>#}
                    <th>Azioni</th>
                </tr>
                </thead>
                <tbody>
                {% for entity in pagination %}
                    <tr data-person-username="{{ entity.username }}" data-person-id="{{ entity.id }}">
                        <td>{{ entity.fiscalCode }}</td>
                        <td>{{ entity.lastname }}</td>
                        <td>{{ entity.firstname }}</td>
                        <td>{{ entity.provider.name }}</td>
                        <td>{{ entity.groups|join(', ') }}</td>
                        <td>{{ entity.email }}</td>
                        <td>{{ entity.username }}</td>
                        <td>
                            <a href="{{ path('student_edit', { 'id': entity.id }) }}" class="btn btn-primary mb-1">Modifica</a>

                            <div class="dropdown">
                                <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuAzioni"
                                        data-bs-toggle="dropdown" aria-expanded="false">
                                    Azioni
                                </button>
                                <ul class="dropdown-menu" aria-labelledby="dropdownMenuAzioni">
                                    <li>
                                        <a class="dropdown-item showPersonDataBt" href="#">
                                            Visualizza i dati
                                        </a>
                                    </li>
                                    {% if entity.username %}
                                    <li>
                                        <a class="dropdown-item resetPersonPasswordBt" href="#"
                                           data-person-pass="{{ entity.startingPassword }}">
                                            Reimposta la password
                                        </a>
                                    </li>
                                    <li>
                                        <a class="dropdown-item renewPersonPasswordBt" href="#">
                                            Crea una nuova password
                                        </a>
                                    </li>
                                        <li class="dropdown-divider"></li>
                                        {% if entity.state=='not-active' %}
                                        <li>
                                            <a href="#"  id="internetOn-{{ entity.id }}"
                                               class="dropdown-item internetOn">
                                                <i class="fas fa-clock"></i> Attiva
                                            </a>
                                        </li>
                                        {% else %}
                                            <li>
                                                <a id="internetEx-{{ entity.id }}" class="dropdown-item internetOn">
                                                    <i class="fas fa-clock"></i> Estendi
                                                </a>
                                            </li>
                                            <li>
                                                <a href="{{ path('internetOffUser',{'providerId': '0', 'groupId': '0', 'studentId': entity.id}) }}" class="dropdown-item">
                                                    Disattiva
                                                </a>
                                            </li>
                                        {% endif %}
                                    {% endif %}
                                </ul>
                            </div>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>

        <div class="row">
            <div class="col-md-4 mb-3 text-center text-md-start">
                {{ knp_pagination_render(pagination) }}
            </div>
            <div class="col-md-4 mb-3 text-center">
                <a href="{{ path('student_new') }}" class="btn btn-primary">Crea Nuovo Studente</a>
                <a href="{{ path('student_export', {providerId: providerId, queryString: queryString, groupIds: selectedGroupIds, type: type}) }}" class="btn btn-secondary">Esporta</a>
            </div>
            <div class="col-md-4 mb-3 ">
                <form class="row g-3" action="{{ path('student_list') }}">
                    <div class="d-flex flex-wrap justify-content-center justify-content-md-end">
                        <div class="me-1 mb-1 order-2 order-md-0">
                            <label for="providerId" class="visually-hidden"></label>
                            <select class="form-select" style="width: inherit; display: inline;" id="providerId" name="providerId">
                                <option value="">Tutti i provider</option>
                                {% for entity in providers %}
                                    <option value="{{ entity.id }}"
                                            {{ ((providerId is defined) and (entity.id==providerId))?"selected" }}
                                    >{{ entity.name }}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="me-1 mb-1 order-2 order-md-0">
                            <label for="type" class="visually-hidden"></label>
                            <select class="form-select" style="width: inherit; display: inline;" id="type" name="type">
                                <option value="" >Studenti attivi</option>
                                <option value="trashed" {{ type == "trashed" ?"selected" }}>Studenti cestinati</option>
                                <option value="all" {{ type == "all" ?"selected" }}>Tutti</option>
                            </select>
                        </div>
                        <div class="me-1 mb-1 order-0 order-md-1">
                            <label for="queryString" class="visually-hidden"></label>
                            <input type="text" style="width: inherit; display: inline;"
                                   id="queryString" name="queryString" class="form-control" placeholder="Cerca"
                                   value="{{ queryString|escape('html') }}">
                        </div>
                        <div class="mb-1 order-1 order-md-2">
                            <button class="btn btn-secondary" type="submit">
                                <i class="fa-solid fa-magnifying-glass"></i>
                            </button>
                        </div>
                    </div>
                    <div class="d-flex mt-1 justify-content-center justify-content-md-end">
                        <select class="form-select group-select d-none" style="width: inherit; display: inline;" id="groupIds" name="groupIds[]" multiple>
                            {% for entity in groups %}
                                <option value="{{ entity.id }}" {% if entity.id|trim in selectedGroupIds %}selected{% endif %}
                                >{{ entity.name }}{% if entity.provider %} ({{ entity.provider.name }}){% endif %}</option>
                            {% endfor %}
                        </select>
                    </div>
                </form>
            </div>
        </div>
    </main>
    {% include 'components/student_activation_modal.html.twig' %}
    {% include 'components/user_actions_modal.html.twig' with {personType: 'student'} %}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script>
        {% include 'components/student_activation_modal.js.twig' %}
        {% include 'components/user_actions_modal.js.twig' with {personType: 'student'} %}

        $(document).ready(function() {
            $('.group-select').select2({multiple: true, placeholder: 'Filtra per classi o gruppi', allowClear: true});
        });

    </script>
{% endblock %}

{% block stylesheets %}
    {{ parent() }}
{% endblock %}